Package org.apache.commons.collections4.functors

# Class IdentityPredicate<T>

java.lang.Object
org.apache.commons.collections4.functors.IdentityPredicate<T>

All Implemented Interfaces:
  `Serializable`, `Predicate<T>`

public final class IdentityPredicate<T> extends Object implements Predicate<T>, Serializable
Predicate implementation that returns true if the input is the same object as the one stored in this predicate.

Since:
  3.0
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdentityPredicate(T object)`
  Constructor that performs no validation.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `evaluate(T object)`
  Evaluates the predicate returning true if the input object is identical to the stored object.
  `T`
  `getValue()`
  Gets the value.
  `static <T> Predicate<T>`
  `identityPredicate(T object)`
  Factory to create the identity predicate.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### IdentityPredicate

    public IdentityPredicate(T object)
    Constructor that performs no validation. Use `identityPredicate` if you want that.
    Parameters:
      `object` - the object to compare to

- ## Method Details

  - ### identityPredicate

    public static <T> Predicate<T> identityPredicate(T object)
    Factory to create the identity predicate.
    Type Parameters:
      `T` - the type that the predicate queries
    Parameters:
      `object` - the object to compare to
    Returns:
      the predicate

  - ### evaluate

    public boolean evaluate(T object)
    Evaluates the predicate returning true if the input object is identical to the stored object.
    Specified by:
      `evaluate` in interface `Predicate<T>`
    Parameters:
      `object` - the input object
    Returns:
      true if input is the same object as the stored value

  - ### getValue

    public T getValue()
    Gets the value.
    Returns:
      the value
    Since:
      3.1